/* 
 * Esqueleto para implementaes do tipo abstrato de dados pilha.
 */

#ifndef ESQUELETO_PILHA
#define ESQUELETO_PILHA

typedef int elem_t; /* Tipo do elemento */

typedef void* Pilha; /* Tipo da pilha (a ser redefinido) */

void cria_pilha(Pilha* pilha);

int pilha_vazia(Pilha* pilha);
	  
void insere_pilha(Pilha* pilha, elem_t elem);

elem_t remove_pilha(Pilha* pilha);

void libera_pilha(Pilha* pilha);

#endif
